package test.org.seasar.extension.dataset.impl;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.seasar.extension.dataset.DataSet;
import org.seasar.extension.dataset.DataWriter;
import org.seasar.extension.dataset.impl.JXlsReader;
import org.seasar.extension.dataset.impl.JXlsWriter;

public class JXlsWriterTest extends TestCase {

	private static final String PATH =
		"test/org/seasar/extension/dataset/impl/XlsReaderImplTest.xls";
	private static final String PATH2 =
		"test/org/seasar/extension/dataset/impl/XlsWriterImplTest.xls";

	private DataSet dataSet_;
	private DataWriter writer_;

	public JXlsWriterTest(String name) {
		super(name);
	}

	public void testWrite() throws Exception {
		writer_.write(dataSet_);
		assertEquals("o̓t@CƓ̓t@Cł鎖", dataSet_, new JXlsReader(PATH2).read());
	}

	protected void setUp() throws Exception {
		dataSet_ = new JXlsReader(PATH).read();
		writer_ = new JXlsWriter(PATH2);
	}

	protected void tearDown() throws Exception {
	}

	public static Test suite() {
		return new TestSuite(JXlsWriterTest.class);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.main(
			new String[] { JXlsWriterTest.class.getName()});
	}
}